Bug 1275100 - Firefox Freeze after upgrade from 21 - 22
Firefox Freeze after upgrade from 21 - 22
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-25 17:31 EDT by vmjersey
Modified: 2016-05-12 06:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-12 06:34:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vmjersey 2015-10-25 17:31:55 EDT
Description of problem:  I recently used the fedup command to upgrade from 21-22.  Firefox craps out whenever I navigate to a website.  I have verified that the website doesn't matter, it pretty much does it to them all.

Version-Release number of selected component (if applicable):
Firefox: 41.0.2
Kernel: 4.2.3-200.

How reproducible:
Pretty much every time is use Firefox.  I am using Chrome right now, because I can't even get to bugzilla without it taking a crap.

Steps to Reproduce:
1. Boot into kernel 41.0.2
2. Open Firefox 
3. Got to any website.  Sometimes it an take a few minutes.

Actual results:

Expected results:

Additional info:
I refreshed my firefox profile to see if it would help.  It did not make a difference.

This did not happen in Fedora 21.
Comment 1 vmjersey 2015-10-27 09:40:41 EDT
I also removed firefox and reinstalled it.  It made to difference.
Comment 2 Martin Stransky 2015-10-27 10:28:06 EDT
What do you exactly mean with "crap out"?
Comment 3 vmjersey 2015-10-27 10:40:46 EDT
It hangs for about 5 minutes and then a window pops up asking me if I would like to "force quit" or "wait".  If I select "force quit" the program closes, and I can reopen firefox and use it again, until for a few minutes before it freezes.  If I select "wait", then firefox sits there for another few minutes and exits by itself prompting me to send a bug report to mozilla.
Comment 4 Martin Stransky 2015-10-27 11:49:41 EDT
I see. Can you try to disable OMTC? go to about:config and set "layers.offmainthreadcomposition.enabled" to false.
Comment 5 vmjersey 2015-12-28 10:05:17 EST
Sorry for the delay Martin.  This bug seems to have disappeared after I upgraded the kernel this weekend.
Comment 6 Martin Stransky 2016-05-12 06:34:28 EDT
Okay, thanks.

Note You need to log in before you can comment on or make changes to this bug.